package demo;

import java.awt.event.ActionEvent;
import java.io.UnsupportedEncodingException;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.japisoft.filebrowser.FileBrowser;

/**
 * This is a demo for displaying a file through the File system
 * @author (c) 2004 JAPISoft / http://www.japisoft.com
 * @version 1.0
 * */
public class FileBrowserDemo {

	FileBrowser browser;
	JDialog dialog;
	
	public FileBrowserDemo() {
		dialog = new JDialog();
		dialog.setModal( true );
		dialog.setTitle( "File Editor" );

		dialog.getContentPane().add( browser = new FileBrowser() );
		browser.getActionModel().addAction( new DisplayAction() );

		dialog.setSize( 500, 550 );
		dialog.setVisible( true );

		// It will close the browsed file as it is in a modal state
		dialog.dispose();		
	}

	/** Here a new action for displaying a file content */
	class DisplayAction extends AbstractAction {
		public DisplayAction() {
			putValue( Action.NAME, "Display" );
		}

		public void actionPerformed( ActionEvent e ) {
			byte[] content = browser.getSelectedContentFile( false );
			if ( content != null ) {
				try {
					String text = new String( content, "UTF8" );
					JDialog dialog2 = new JDialog( dialog );
					JTextArea area = new JTextArea( text );
					dialog2.getContentPane().add( new JScrollPane( area ) );
					dialog2.setSize( 400, 400 );
					dialog2.setVisible( true );
				} catch( UnsupportedEncodingException exc ) {}
			}
		}
	}
	
	public static void main( String[] args ) {
		new FileBrowserDemo();
	}

}
